ExtDB3 errors

ExtDB3 errors

« posted: May 18, 2017, 02:27 AM »
Trying to get converted over here since I need to, given the jets DLC and all.

20:23:30 "[INFO] extDB2 v71 extension loaded"
20:23:30 "[extDB3] Startup..."
20:23:30 "[extDB3] ███ SQL_CUSTOM Protocol error! [0,""Failed to Load Protocol""]"
20:23:30 "[extDB3] ███ ERROR - Startup aborted"

Can't seem to get the thing to load. I've followed the instructions and it won't get past this.

Is it typical this extdb2 v71 extension is to load or did I miss something here?

Re: ExtDB3 errors

« Reply #1 posted: May 18, 2017, 02:39 AM »
You need to update to extDB3 as the error you posted shows extDB2 here:

20:23:30 "[INFO] extDB2 v71 extension loaded"


AgentRev updated Wasteland to use extDB3..

Go there and read MattCG's tutorial steps on updating to extDB3...

http://forums.a3wasteland.com/index.php?topic=3213.45

Instead of downloading extDB3 from step 1 from torndeco's release use AgentRev's release:

https://github.com/A3Wasteland/Release_Files

Make sure you have an up-to-date A3W release:

https://github.com/A3Wasteland

EDIT:

it appears you are using extDB2 with the newer update A3W release so update your extDB...If I were you use -serverMod=@extDB3 which is a heck a lot easier than the old way.
  • Offline AgentRev
  • Developer
  • Veteran
  • ******
  • Posts: 2345

Re: ExtDB3 errors

« Reply #2 posted: May 18, 2017, 12:40 PM »
Matt's tutorial is no longer relevant, all you need to do is use my extDB3 zip.